//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007, 2008 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

     //////////////////////////////////////////////////////////
     // -- Add your linking protocol to this include list -- //
     //////////////////////////////////////////////////////////
        
#include "wlinksv1.c"

      ////////////////////////////////////////////////////////
      // -- Add your linking protocol to these functions -- //
      ////////////////////////////////////////////////////////
       
int enableLink(const unsigned char* protocol) {
	if (strcasecmp(protocol,"wlinksv1") == 0) {
		wlinksv1_init();
		return 0;
	}
	return -1;
}
int receiveOnLink(const unsigned char* protocol, unsigned char* data) {
	if (strcasecmp(protocol,"wlinksv1") == 0) {
		wlinksv1_receive(data);
		return 0;
	}
	return -1;
}
int sendOnLink(const unsigned char* protocol, const unsigned char* data) {
	if (strcasecmp(protocol,"wlinksv1") == 0) {
		wlinksv1_send(data);
		return 0;
	}
	return -1;
}

